#
# spec file for package realtek-r8152 (Version 2.18.1)
#
# Copyright (c) 2024 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#

Name:         realtek-r8152
BuildRequires: %kernel_module_package_buildreqs
License:      GPL-2.0
Group:        System/Kernel
Summary:      Realtek RTL8152/RTL8153 Driver
Version:      2.18.1
Release:      20.1
Source0:      r8152-%version.tar.bz2
Source1:      Module.supported

BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%kernel_module_package 

%description
This package contains the Linux driver for the Realtek Family of LAN Adapters

%package KMP
Summary: Realtek RTL8152/RTL8153 Driver
Group: System/Kernel

%description KMP
This package contains the Linux driver for Realtek RTL8152/RTL8153 Based USB Ethernet Adapters

%prep
%setup -n r8152-%version
# Modify compatibility.h to remove function defs that are already backported
# into relevant SLE versions
%if 0%{?sle_version} == 120500 || 0%{?sle_version} == 150300
sed -i '562s/^/\/\*/; 565s/$/\*\//; 567s/^/\/\*/; 580s/$/\*\//' compatibility.h 
%endif
%if 0%{?sle_version} == 150300
sed -i '600s/^/\/\*/; 607s/$/\*\//; 609s/^/\/\*/; 617s/$/\*\//' compatibility.h
sed -i '3768s/^/\/\*/; 3769s/$/\*\//' r8152.c 
%endif

cp %_sourcedir/Module.supported Module.supported

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Tue Jun 18 2024 andavis@suse.com
- Initial build of version 2.18.1
- Jira PED-8634 (for 12-SP5), bsc#1229075 (for 15-SP3)
